Bug 164288 - "vi -x" no longer works (says "unknown option")
"vi -x" no longer works (says "unknown option")
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 12:11 EDT by John Fishman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 17:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Fishman 2005-07-26 12:11:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
"vi -x" no longer works (says "unknown option")

Version-Release number of selected component (if applicable):
vim-minimal-6.3.071-3

How reproducible:
Always

Steps to Reproduce:
1./bin/vi -x foo
2.
3.
  

Actual Results:  VIM - Vi IMproved 6.3 (2004 June 7, compiled Apr 27 2005 02:24:01)
Unknown option: "-x"
More info with: "vim -h"


Additional info:

works ok using vim, just not as vi
Comment 1 John Fishman 2005-07-26 12:13:08 EDT
be sure to give full path to vi (i.e. /bin/vi) or "unalias vi" first
as it is aliased to vim usually.
Comment 2 Karsten Hopp 2005-07-26 17:48:45 EDT
I'm quite sure that the minimal version never supported the -x parameter, it's  
really 'minimal'.   
Here's the output of an old version:   
$ /bin/vi -x foo   
VIM - Vi IMproved 6.2 (2003 Jun 1, compiled Sep 16 2003 11:01:21)   
Unknown option: "-x"   
More info with: "vim -h"   
$ rpm -q vim-minimal   
vim-minimal-6.2.98-1   
   
The only change that might cause different behaviour is that newer vim  
versions don't set the alias vi=vim anymore for uids < 100.  
   

Note You need to log in before you can comment on or make changes to this bug.